#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'configfullscreenpage.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "configfullscreenpage.h"

#include <ntqvariant.h>
#include <ntqcheckbox.h>
#include <ntqlabel.h>
#include <ntqtextedit.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a ConfigFullScreenPage as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ConfigFullScreenPage::ConfigFullScreenPage( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "ConfigFullScreenPage" );
    ConfigFullScreenPageLayout = new TQVBoxLayout( this, 0, 6, "ConfigFullScreenPageLayout"); 

    kcfg_showBusyPtr = new TQCheckBox( this, "kcfg_showBusyPtr" );
    kcfg_showBusyPtr->setChecked( TRUE );
    ConfigFullScreenPageLayout->addWidget( kcfg_showBusyPtr );
    spacer10_2_3_2 = new TQSpacerItem( 21, 16, TQSizePolicy::Minimum, TQSizePolicy::Fixed );
    ConfigFullScreenPageLayout->addItem( spacer10_2_3_2 );

    textLabel3_2 = new TQLabel( this, "textLabel3_2" );
    ConfigFullScreenPageLayout->addWidget( textLabel3_2 );

    kcfg_osdFormat = new TQTextEdit( this, "kcfg_osdFormat" );
    kcfg_osdFormat->setTextFormat( TQTextEdit::PlainText );
    kcfg_osdFormat->setWordWrap( TQTextEdit::WidgetWidth );
    kcfg_osdFormat->setAutoFormatting( int( TQTextEdit::AutoNone ) );
    ConfigFullScreenPageLayout->addWidget( kcfg_osdFormat );

    textLabel2 = new TQLabel( this, "textLabel2" );
    ConfigFullScreenPageLayout->addWidget( textLabel2 );

    mOSDPreviewLabel = new TQLabel( this, "mOSDPreviewLabel" );
    mOSDPreviewLabel->setFrameShape( TQLabel::LineEditPanel );
    mOSDPreviewLabel->setFrameShadow( TQLabel::Sunken );
    ConfigFullScreenPageLayout->addWidget( mOSDPreviewLabel );

    textLabel1 = new TQLabel( this, "textLabel1" );
    ConfigFullScreenPageLayout->addWidget( textLabel1 );
    spacer10_2_3 = new TQSpacerItem( 21, 18, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    ConfigFullScreenPageLayout->addItem( spacer10_2_3 );
    languageChange();
    resize( TQSize(516, 411).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ConfigFullScreenPage::~ConfigFullScreenPage()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ConfigFullScreenPage::languageChange()
{
    setCaption( tr2i18n( "Configure Full Screen Mode" ) );
    kcfg_showBusyPtr->setText( tr2i18n( "Show busy mouse pointer when loading an image" ) );
    textLabel3_2->setText( tr2i18n( "<b>On Screen Display</b>" ) );
    kcfg_osdFormat->setText( tr2i18n( "%f - %n/%N\n"
"%c" ) );
    textLabel2->setText( tr2i18n( "Preview:" ) );
    mOSDPreviewLabel->setText( tr2i18n( "file.jpg - 1024x768\n"
"The file comment" ) );
    textLabel1->setText( tr2i18n( "<qt>\n"
"You can use the following keywords to format the On Screen Display:\n"
"<ul>\n"
"<li>%f: filename</li>\n"
"<li>%p: filepath</li>\n"
"<li>%c: comment</li>\n"
"<li>%r: resolution</li>\n"
"<li>%n: current image position</li>\n"
"<li>%N: image count</li>\n"
"<li>%a: aperture</li>\n"
"<li>%t: exposure time</li>\n"
"<li>%i: iso</li>\n"
"<li>%l: focal length</li>\n"
"</ul>\n"
"</qt>" ) );
}

/****************************************************************************
** ConfigFullScreenPage meta object code from reading C++ file 'configfullscreenpage.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "configfullscreenpage.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *ConfigFullScreenPage::className() const
{
    return "ConfigFullScreenPage";
}

TQMetaObject *ConfigFullScreenPage::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_ConfigFullScreenPage( "ConfigFullScreenPage", &ConfigFullScreenPage::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString ConfigFullScreenPage::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "ConfigFullScreenPage", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString ConfigFullScreenPage::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "ConfigFullScreenPage", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* ConfigFullScreenPage::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"ConfigFullScreenPage", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_ConfigFullScreenPage.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* ConfigFullScreenPage::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "ConfigFullScreenPage" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool ConfigFullScreenPage::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool ConfigFullScreenPage::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool ConfigFullScreenPage::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool ConfigFullScreenPage::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
